# driver.cpp File Reference

Base for all driver handling. More...

`#include "stdafx.h"`
`#include "debug.h"`
`#include "sound/sound_driver.hpp"`
`#include "music/music_driver.hpp"`
`#include "video/video_driver.hpp"`
`#include "string_func.h"`

Go to the source code of this file.

## Functions
const char * | GetDriverParam (const char *const *parm, const char *name)
bool | GetDriverParamBool (const char *const *parm, const char *name)
int | GetDriverParamInt (const char *const *parm, const char *name, int def)
## Variables
VideoDriver * | _video_driver
char * | _ini_videodriver
int | _num_resolutions
Dimension | _resolutions [32]
Dimension | _cur_resolution
bool | _rightclick_emulate
SoundDriver * | _sound_driver
char * | _ini_sounddriver
MusicDriver * | _music_driver
char * | _ini_musicdriver
char * | _ini_blitter

## Detailed Description

Base for all driver handling.

Definition in file driver.cpp.